com.maxmind.geoip

## Class DatabaseInfo

- java.lang.Object
- - com.maxmind.geoip.DatabaseInfo

-     public class DatabaseInfo
      extends Object

  Encapsulates metadata about the GeoIP database. The database has a date, is a premium or standard version, and is one of the following types:
  - Country edition -- this is the most common version of the database. It includes the name of the country and it's ISO country code given an IP address.
  - Region edition -- includes the country information as well as what U.S. state or Canadian province the IP address is from if the IP address is from the U.S. or Canada.
  - City edition -- includes country, region, city, postal code, latitude, and longitude information.
  - Org edition -- includes netblock owner.
  - ISP edition -- ISP information.
  See Also:
    `LookupService.getDatabaseInfo()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASNUM_EDITION`
    `static int` | `ASNUM_EDITION_V6`
    `static int` | `CITY_EDITION_REV0`
    `static int` | `CITY_EDITION_REV0_V6`
    `static int` | `CITY_EDITION_REV1`
    `static int` | `CITY_EDITION_REV1_V6`
    `static int` | `COUNTRY_EDITION`
    `static int` | `COUNTRY_EDITION_V6`
    `static int` | `DOMAIN_EDITION`
    `static int` | `DOMAIN_EDITION_V6`
    `static int` | `ISP_EDITION`
    `static int` | `ISP_EDITION_V6`
    `static int` | `NETSPEED_EDITION`
    `static int` | `NETSPEED_EDITION_REV1`
    `static int` | `NETSPEED_EDITION_REV1_V6`
    `static int` | `ORG_EDITION`
    `static int` | `ORG_EDITION_V6`
    `static int` | `PROXY_EDITION`
    `static int` | `REGION_EDITION_REV0`
    `static int` | `REGION_EDITION_REV1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseInfo(String info)` Creates a new DatabaseInfo object given the database info String.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDate()` Returns the date of the database.
    `int` | `getType()`
    `boolean` | `isPremium()` Returns true if the database is the premium version.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ASNUM_EDITION

          public static final int ASNUM_EDITION

      See Also:
        Constant Field Values

    - #### ASNUM_EDITION_V6

          public static final int ASNUM_EDITION_V6

      See Also:
        Constant Field Values

    - #### CITY_EDITION_REV0

          public static final int CITY_EDITION_REV0

      See Also:
        Constant Field Values

    - #### CITY_EDITION_REV0_V6

          public static final int CITY_EDITION_REV0_V6

      See Also:
        Constant Field Values

    - #### CITY_EDITION_REV1

          public static final int CITY_EDITION_REV1

      See Also:
        Constant Field Values

    - #### CITY_EDITION_REV1_V6

          public static final int CITY_EDITION_REV1_V6

      See Also:
        Constant Field Values

    - #### COUNTRY_EDITION

          public static final int COUNTRY_EDITION

      See Also:
        Constant Field Values

    - #### COUNTRY_EDITION_V6

          public static final int COUNTRY_EDITION_V6

      See Also:
        Constant Field Values

    - #### DOMAIN_EDITION

          public static final int DOMAIN_EDITION

      See Also:
        Constant Field Values

    - #### DOMAIN_EDITION_V6

          public static final int DOMAIN_EDITION_V6

      See Also:
        Constant Field Values

    - #### ISP_EDITION

          public static final int ISP_EDITION

      See Also:
        Constant Field Values

    - #### ISP_EDITION_V6

          public static final int ISP_EDITION_V6

      See Also:
        Constant Field Values

    - #### NETSPEED_EDITION

          public static final int NETSPEED_EDITION

      See Also:
        Constant Field Values

    - #### NETSPEED_EDITION_REV1

          public static final int NETSPEED_EDITION_REV1

      See Also:
        Constant Field Values

    - #### NETSPEED_EDITION_REV1_V6

          public static final int NETSPEED_EDITION_REV1_V6

      See Also:
        Constant Field Values

    - #### ORG_EDITION

          public static final int ORG_EDITION

      See Also:
        Constant Field Values

    - #### ORG_EDITION_V6

          public static final int ORG_EDITION_V6

      See Also:
        Constant Field Values

    - #### PROXY_EDITION

          public static final int PROXY_EDITION

      See Also:
        Constant Field Values

    - #### REGION_EDITION_REV0

          public static final int REGION_EDITION_REV0

      See Also:
        Constant Field Values

    - #### REGION_EDITION_REV1

          public static final int REGION_EDITION_REV1

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DatabaseInfo

          public DatabaseInfo(String info)

      Creates a new DatabaseInfo object given the database info String.
      Parameters:
        `info` -

  - ### Method Detail

    - #### getDate

          public Date getDate()

      Returns the date of the database.
      Returns:
        the date of the database.

    - #### getType

          public int getType()

    - #### isPremium

          public boolean isPremium()

      Returns true if the database is the premium version.
      Returns:
        true if the premium version of the database.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`